KMouth/frameworks and QtSpeech

Luigi Toscano luigi.toscano at tiscali.it
Thu Jul 13 21:10:50 UTC 2017


Hi all,

I was discussing with Jeremy Whiting (in CC), maintainer of most accessibility
things, about the blockers for merging the frameworks branch of KMouth into
master.

This is something that should happen at some point: if not for Applications
17.08, where we are already past the freeze, excluding exceptions, it should
happen for 17.12, where no kdelibs4 applications are going to be shipped in
the bundle.

The main question (and the reason why I'm writing here) is: KMouth has an hard
dependency on QtSpeech, which is still marked as Tech Preview as Qt 5.9, so
changes to the API are possible. Would it be acceptable to ship its Frameworks
version as soon as possible, even this dependency on an (potentially, even if
I suspect not so much) unstable library from the distribution point of view?

Ciao
-- 
Luigi


More information about the Distributions mailing list